Class | Symbol
In: | yaml/rubytypes.rb
Parent: | Object

### Methods

to_yaml yaml_new

### Public Class methods

yaml_new( klass, tag, val )

[Source]

    # File yaml/rubytypes.rb, line 184
        def Symbol.yaml_new( klass, tag, val )
            if String === val
                val.intern
            else
                raise YAML::TypeError, "Invalid Symbol: " + val.inspect
            end
        end

### Public Instance methods

to_yaml( opts = {} )

[Source]

    # File yaml/rubytypes.rb, line 191
            def to_yaml( opts = {} )
                    YAML::quick_emit( nil, opts ) do |out|
                out.scalar( "tag:yaml.org,2002:str", self.inspect, :plain )
            end
            end

[Validate]